Retrieve the state of an orderget https://cert.api.firstdata.com/gateway/v2/orders/{order-id}Use this query to get the current state of an existing order.Path Paramsorder-idstringrequiredGateway order identifier as returned in the parameter orderId.Query ParamsstoreIdstringAn optional outlet ID for clients that support multiple stores in the same developer app.HeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.Responses 200Success response. 400The request cannot be validated. 401The request cannot be authenticated or was submitted with the wrong credentials. 403The request was unauthorized. 404The requested resource doesn't exist. 500An unexpected internal server error occurred. 502There was a problem communicating with the endpoint.Updated 8 months ago